Bug 167439 - auctex should not require emacs-el
auctex should not require emacs-el
Product: Fedora
Classification: Fedora
Component: emacs-auctex (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ed Hill
Fedora Extras Quality Assurance
Depends On: 167570
  Show dependency treegraph
Reported: 2005-09-02 12:52 EDT by Jonathan Underwood
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-06 19:48:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jonathan Underwood 2005-09-02 12:52:45 EDT
Description of problem:
This package requires emacs-el for no apparent reason as far as I can tell.
Certainly the auctex package from the auctex homepage doesn't require the source
el files to be installed, and I see no reason that it should?

Version-Release number of selected component (if applicable):

How reproducible:
every time

Steps to Reproduce:
1. yum install emacs-auctex pulls in emacs-el
Actual results:

Expected results:

Additional info:
Comment 1 Ed Hill 2005-09-05 14:02:00 EDT
Hi Jonathan, the emacs-auctex package must Require a package that provides the
directory "/usr/share/emacs/site-lisp" since it places a lot of content within 
that location.  Since the emacs-el and emacs-common packages both seem to 
provide that dir, I've filed a blocker bug (167570) in order to sort it out.
Comment 2 Jens Petersen 2005-09-05 22:42:45 EDT
Then I suggest requiring emacs-common rather than emacs-el.
emacs-el is really just for people who hack/grok elisp and want
to have all the elisp source installed.
Alternatively you could just let emacs-auctex own site-lisp/
or both. :)
Comment 3 Jens Petersen 2005-09-05 22:43:41 EDT
Well I would recommend owning site-lisp/ anyway. :)
Comment 4 Ed Hill 2005-09-06 19:48:23 EDT
I just built 11_55-5_fc4 and 11_55-5_fc5 versions that require emacs-common
instead of emacs-el.  So its fixed.

And thanks to Jens for the dir ownership explanation.  I was mistaken about 
how dir ownership works and will keep that in mind for future packages.

Note You need to log in before you can comment on or make changes to this bug.